/* @MEDIAS */

/* Desktops e telas grandes (1025px a 1200px) */
@media screen and (min-width: 1025px) and (max-width: 1600px) {}

@media (max-width: 1300px) and (min-width: 769px) {
  #clients article {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* Telas pequenas e laptops (769px a 1024px) */
@media screen and (min-width: 769px) and (max-width: 1024px) {
  details span {
    width: 16vw;
    top: 9vw;
    height: 13vw;
    right: 29vw;
  }

  .fixed-menu ul li details span {
    width: 16vw;
    height: 13vw;
    top: 8.5vw;
    right: 32vw;
  }
}

/* iPads e tablets (481px a 768px) */
@media screen and (max-width: 768px) {
  h1 {
    font-size: 2em;
  }

  h2 {
    font-size: 1.5em;
  }

  h3 {
    font-size: 1.2em;
  }

  h4 {
    font-size: 1.2em;
  }

  p {
    font-size: 1em;
  }

  .nav-menu .details-service {
    display: none;
  }

  .reservation-service {
    display: block;
  }

  .nav-menu a:hover {
    color: #e580e5;
    transform: scale(1.1, 1.1)
  }

  .nav-menu {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100vh;
    flex-direction: column;
    justify-content: center;
    gap: 4rem;
    background: #000000d1;
    transform: translatey(-100%);
    transition: transform 0.3s ease-in-out;
    z-index: 10;
    font-size: 90%;
  }

  .nav-menu li {
    margin-left: 0;
    opacity: 0;
    top: 0;
  }

  #logo {
    font-size: 70%;
  }

  .logo-icon i.bi-globe2::before {
    font-size: 4em;
  }

  .fixed-menu {
    height: 10vh;
  }

  .fixed-menu .mobile-menu span {
    width: 20px;
    height: 2px;
  }

  .mobile-menu {
    display: flex;
  }

  .nav-menu.active {
    transform: translateY(0);
  }

  @keyframes navLinkFade {
    from {
      opacity: 0;
      transform: translateX(50px);
    }

    to {
      opacity: 1;
      transform: translateX(0);
    }
  }

  .mobile-menu.active .line-1 {
    transform: rotate(-45deg) translate(-4px, 5px);
  }

  .mobile-menu.active .line-2 {
    opacity: 0;
  }

  .mobile-menu.active .line-3 {
    transform: rotate(45deg) translate(-5px, -7px);
  }

  .writing {
    display: none;
  }

  .you-can-trust, .our-differential-area {
    font-size: 80%;
  }

  .you-can-trust-text, .our-differential-text {
    width: 12rem;
  }

  #services {
    padding: 2%;
  }

  #clients article {
    grid-template-columns: repeat(1, 1fr);
  }


  #contact {
    font-size: 90%;
  }

  .contact-container {
    width: 100%;
    padding: 5%;
  }

  .contact-content {
    width: 90%;
    flex-direction: column;
  }

  .contact-content form {
    width: 90%;
  }

  .label-float {
    padding-top: .5rem;
  }

  .label-float input, .label-float textarea {
    margin-bottom: 1rem;
  }

  .send-button input {
    padding: .8rem;
    letter-spacing: 0;
  }

  .contact-info {
    height: 20rem;
    font-size: 80%;
    margin: 0;
  }

  /*.social-network {*/
  /*  font-size: 90%;*/
  /*}*/

  #where-are-we h2 {
    width: 80%;
  }

  #where-are-we h3 {
    font-size: 4vw;
    width: 50vw;
  }

  #where-are-we .location {
    background-position: 90%;
    padding: 2vw;
    height: 100%;
  }

  .map {
    margin: 8vw;
    width: 80vw;
    height: 40vw;
  }

  #client-login {
    font-size: 90%;
  }

  #client-login button {
    width: 100%;
    padding: .8rem;
  }

  footer {
    font-size: 70%;
  }

  .sitemap {
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    margin: 1rem;
    text-align: center;
  }

  .sitemap-about {
    width: 100%;
  }

  .footer-map {
    width: 100%;
    height: 10rem;
  }

  .footer-links {
    flex-direction: column;
  }

  hr {
    margin: 3rem 0;
  }

  .footer-menu {
    display: none;
  }
}

/* Dispositivos móveis (320px a 480px) */
@media screen and (max-width: 580px) {
  #client-login {
    flex-direction: column-reverse;
    padding: 5%;
  }

  #client-login h1 {
    margin: 0;
    text-align: left;
  }

  #client-login .img-area-client {
    width: 100%;
    overflow: hidden;
  }

  #client-login .img-area-client img {
    width: 100%;
    filter: drop-shadow(2px 4px 6px black);
  }

}